Bug 265 - Disallow parameterised scalar types
Summary: Disallow parameterised scalar types
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: libutap (show other bugs)
Version: 3.6 Alpha 4
Hardware: All All
: P1 normal
Assignee: Gerd Behrmann
URL:
Depends on:
Blocks:
 
Reported: 2006-02-11 19:21 CET by Gerd Behrmann
Modified: 2006-02-23 21:20 CET (History)
0 users

See Also:
Architecture:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerd Behrmann 2006-02-11 19:21:18 CET
A template local scalar definition is shared amongst all instances of the template. Therefore parameterised 
scalar types should be disallowed by the type checker.
Comment 1 Gerd Behrmann 2006-02-22 09:55:11 CET
I may be better to change the semantics of scalarset definitions inside a template: Potentially, a bigger 
reduction is possible if they are not shared between the instances. Thus template parameters may be used 
in the scalarset definition. However, the type checker then needs to be modified to disallow e.g. 
comparisons of local scalar variables over local scalarsets from different instances of the same template.
Comment 2 Gerd Behrmann 2006-02-23 21:20:04 CET
Fixed on the trunk. Local scalar set types from two different instances of the same template are no longer 
equivalent.